--- title: "Search for lab instances" slug: "search-for-lab-instances" updated: 2024-10-25T18:04:27Z published: 2026-02-10T22:32:35Z canonical: "docs.skillable.com/search-for-lab-instances" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.skillable.com/llms.txt > Use this file to discover all available pages before exploring further. # Search for lab instances Get/SearchLabInstances Allows you to search for lab instances. SecurityAPI Key: api_keyHeader parameter nameapi_key Query parameterspageIndexinteger (int32) A 0-based index of the paged results you wish to receive. In general, you should start with a value of zero and increment it as you need to retrieve additional results. If not supplied, a value of 0 is used (the first page of results). pageSizeinteger (int32) Indicates how many results you want per page. if not supplied, a default value of 100 is used. sortstring The value you want to sort by. If not supplied, a default value of "StartTime DESC" will be assumed. You can append " DESC" after the sort value to sort descending. For example, "StartTime DESC" would sort by when the lab instance was started in descending order. Possible values: - StartTime - EndTime - LastName - Lab - TotalRunTime ExampleStartTime DESC userIdinteger (int32) An optional parameter used to filter for lab instances run by a particular user Example678910 userExternalIdinteger (int32) An optional parameter used to filter for lab instances for a particular user using an external identifier Example56564 labIdinteger (int32) An optional parameter used to filter for instances of a particular lab Example5767784 courseIdinteger (int32) An optional parameter used to filter for lab instances launched from a particular course Example56765 classIdinteger (int32) An optional parameter used to filter for lab instances launched from a particular class Example68457 classExternalIdstring An optional parameter used to filter for lab instances launched from a particular class. Usually a unique identifier from the calling system. ExampleABC123 completionStatusinteger (int32) Filters for lab instances with a particular completion status. Possible values: - 0 = Cancelled - 10 = In progress - 20 = Complete - 30 = Error Example10 startedAfterinteger (int64) An optional parameter used to filter for lab instances started after a specified date. When used in conjunction with the "startedBefore" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970. Example1585690845 startedBeforeinteger (int64) An optional parameter used to filter for lab instances started before a specified date. When used in conjunction with the "startedAfter" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970. Example1585690845 endedAfterinteger (int64) An optional parameter used to filter for lab instances ended after a specified date. When used in conjunction with the "endedBefore" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970. Example1585690845 endedBeforeinteger (int64) An optional parameter used to filter for lab instances ended before a specified date. When used in conjunction with the "endedAfter" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970. Example1585690845 lastActivityTimeAfterinteger (int64) An optional parameter used to filter for lab instances who's last activity time is after a specified date. When used in conjunction with the "lastActivityTimeBefore" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970. Example1585690845 lastActivityTimeBeforeinteger (int64) An optional parameter used to filter for lab instances who's last activity time is before a specified date. When used in conjunction with the "lastActivityTimeAfter" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970. Example1585690845 Responses200 OK Response Expand Allobject Statusinteger (int32) Indicates the status of the API request. 0 = Success 10 = Error 20 = Not found 30 = Invalid integration key Example10 Errorstring | null Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10). TotalCountinteger (int32) The total number of results that match the search conditions, not all of which may be in the current result set. Example1 TotalPagesinteger (int32) The total number of result pages that match the search conditions. Example1 Results Array of object (LabInstanceSearchResult) See LabInstanceSearchResult object Idinteger (int64) The lab instance's unique identifier Example4042909 LabIdinteger (int32) The lab profile's unique identifier Example6742 LabNumberstring The number/code of the lab ExampleLab201 LabNamestring The name the lab ExampleSample lab name UserIdinteger (int32) The user's unique identifier Example78956 UserExternalIdstring | null The user's external ID, usually a unique identifier from the calling system Example89CFAB18-443D-495C-89B0-95A85E0A00BA FirstNamestring The user's first name ExampleJane LastNamestring The user's last name ExampleDoe OrganizationIdinteger (int32) The unique identifier of the organization the user belongs to Example457 Startinteger (int64) When the lab instance started. Provided in Unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970. Example1465500264 Endinteger (int64) | null When the lab instance ended. Provided in Unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970. Example1465500264 TotalRunTimeSecondsinteger (int32) | null The text filter entered by the user Example164 ExpectedDurationSecondsinteger (int32) | null The amount of time expected for the lab to take in seconds Example43200 TaskCompletePercentinteger (int32) The percentage of the lab that has been completed by the user Example0 CompletionStatusinteger (int32) | null Indicates the completion status of the lab instance. Possible Values: - 0 = Cancelled - 10 = In progress - 20 = Complete - 30 = Error Example10 CourseIdinteger (int32) | null The unique identifier of the course the lab instance was launched from Example33410 CourseAssignmentIdinteger (int32) | null The unique identifier of the course assignment the lab instance was launched from Example315143 ClassIdinteger (int32) | null The unique identifier of the class the lab instance was launched from Example56476 ClassExternalIdstring | null The unique identifier from the calling system for the class the lab instance was launched from ExampleABC123 UserIpAddressstring | null The user's ip address recorded when a new lab instance is launched Example127.0.0.1 LastActivityTimeinteger (int64) | null When student activity was last detected. Provided in Unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970. Example1585690845